=== debian/changelog ===
nsxiv (30-1) unstable; urgency=medium

  * New upstream version 30
  * d/control:
    - Declare compliance with Debian Policy 4.6.1
  * d/{control,copyright,upstream/metadata}:
    - Refresh upstream homepage
  * d/patches:
    - Refresh patches due to upstream changes
    - Add patch makefile-append-cflags
    - Add patch webp-file-not-closed-properly (Closes: #1013149)
      (Thanks to Edgar Yllescas for providing the patch)
    - Reorder patches
  * d/copyright: Refresh copyright for renamed/deleted files

 -- Nick Morrott <nickm@debian.org>  Thu, 11 Aug 2022 22:26:05 +0100

nsxiv (29-3) unstable; urgency=medium

  * d/control:
    - Correct upstream Homepage
  * d/patches:
    - Add patch fix-animated-webp-loading (Closes: #1009973)
      (Thanks to Edgar Yllescas for providing the patch)

 -- Nick Morrott <nickm@debian.org>  Sun, 24 Apr 2022 05:08:50 +0100

nsxiv (29-2) unstable; urgency=medium

  * debian/nsxiv.mime: sync supported MIME types with nsxiv.desktop
    (Closes: #1009157)

 -- Nick Morrott <nickm@debian.org>  Fri, 15 Apr 2022 22:46:15 +0100

nsxiv (29-1) unstable; urgency=medium

  * Initial release (Closes: #1007918)

 -- Nick Morrott <nickm@debian.org>  Sat, 26 Mar 2022 23:17:17 +0000
