=== debian/control ===
Source: nsxiv
Section: graphics
Priority: optional
Maintainer: Nick Morrott <nickm@debian.org>
Build-Depends: debhelper-compat (=13),
               libexif-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgif-dev,
               libimlib2-dev,
               libinotifytools0-dev,
               libwebp-dev,
               libxft-dev
Standards-Version: 4.6.1
Homepage: https://codeberg.org/nsxiv/nsxiv
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/nickm/nsxiv.git
Vcs-Browser: https://salsa.debian.org/nickm/nsxiv

Package: nsxiv
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: imagemagick,
          libjpeg-progs,
          rawtherapee,
          xclip
Description: neo simple X image viewer
 nsxiv (the Neo Simple X Image Viewer) is a fork of the now-unmaintained
 sxiv project, with the purpose of being a drop-in replacement for sxiv,
 maintaining its interface, and adding simple, sensible features. nsxiv aims
 to be easy to modify and customise, and works nicely with tiling window
 managers.
 .
 Features:
 .
  - Basic image operations, e.g. zooming, panning, rotating
  - Customizable key and mouse button mappings
  - Scriptable via configuration files
  - Thumbnail mode: grid of selectable previews of all images
  - Ability to cache thumbnails for fast re-loading
  - Basic support for animated/multi-frame images (GIF/WebP)
  - Display image information in status bar
  - Display image name/path in X title
