## nsxiv 31

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(CC) $(CFLAGS) $(nsxiv_cppflags) -c -o $@ $<
 
 $(objs): Makefile config.mk nsxiv.h config.h commands.h
-options.o: version.h
+options.o: version.h optparse.h
 window.o: icon/data.h utf8.h
 
 config.h:
@@ -55,6 +55,9 @@
 
 .git/index:
 
+dump_cppflags:
+	@echo $(nsxiv_cppflags)
+
 clean:
 	rm -f *.o nsxiv version.h
 
@@ -63,7 +66,7 @@
 install-desktop:
 	@echo "INSTALL nsxiv.desktop"
 	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
-	cp nsxiv.desktop $(DESTDIR)$(PREFIX)/share/applications
+	cp etc/nsxiv.desktop $(DESTDIR)$(PREFIX)/share/applications
 
 install-icon:
 	@echo "INSTALL icon"
@@ -88,12 +91,12 @@
 	chmod 755 $(DESTDIR)$(PREFIX)/bin/nsxiv
 	@echo "INSTALL nsxiv.1"
 	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
-	sed "s!EGPREFIX!$(EGPREFIX)!g; s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" nsxiv.1 \
-		>$(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
+	sed "s!EGPREFIX!$(EGPREFIX)!g; s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" \
+		etc/nsxiv.1 >$(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
 	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
 	@echo "INSTALL share/nsxiv/"
 	mkdir -p $(DESTDIR)$(EGPREFIX)
-	cp examples/* $(DESTDIR)$(EGPREFIX)
+	cp etc/examples/* $(DESTDIR)$(EGPREFIX)
 	chmod 755 $(DESTDIR)$(EGPREFIX)/*
 
 uninstall: uninstall-icon
