=== debian/changelog ===
nsxiv (31-1) unstable; urgency=medium

  * New upstream version 31
  * d/control:
    - Declare compliance with Debian Policy 4.6.2 (no changes)
  * d/copyright:
    - Bump years of upstream copyright
    - Bump years of Debian copyright
  * d/nsxiv.*:
    - Update paths for assets moved into etc/
  * d/patches:
    - Refresh patches (offsets/fuzz)
    - Drop patch webp-file-not-closed-properly (applied upstream)
    - Drop patch fix-animated-webp-loading (upstream changes)

 -- Nick Morrott <nickm@debian.org>  Mon, 06 Feb 2023 03:23:24 +0000
