=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libinotifytools0-dev,
                libwebp-dev,
                libxft-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://codeberg.org/nsxiv/nsxiv
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/nickm/nsxiv.git
