=== debian/changelog ===
nsxiv (32-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:57 +1100

nsxiv (32-1build1) noble; urgency=high

  * No change rebuild against libimlib2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:29 +0100

nsxiv (32-1) unstable; urgency=medium

  * New upstream version 32
  * d/copyright:
    - Refresh years of Debian copyright
  * d/nsxiv.mime: Synchronise supported MIME types with nsxiv.desktop.
    Thanks to Jochen Sprickerhof for the report and patch (Closes: #1053224)
  * d/patches:
    - Refresh patches (upstream changes)

 -- Nick Morrott <nickm@debian.org>  Wed, 21 Feb 2024 00:46:35 +0000
