=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nsxiv
 Section: graphics
 Priority: optional
-Maintainer: Nick Morrott <nickm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nick Morrott <nickm@debian.org>
 Build-Depends: debhelper-compat (=13),
                libexif-dev,
                libfontconfig-dev,
