## nsxiv 33

=== debian/changelog ===
nsxiv (33-1) unstable; urgency=medium

  * New upstream version 33
  * d/control:
    - Declare compliance with Debian Policy 4.7.0
  * d/copyright:
    - Refresh years of Debian copyright
  * d/nsxiv.docs:
    - Add new migration from sxiv documentation
  * d/patches:
    - Refresh patch makefile-set-prefix (fuzz)

 -- Nick Morrott <nickm@debian.org>  Mon, 03 Feb 2025 00:13:02 +0000
