=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nsxiv
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nick Morrott <nickm@debian.org>
+Maintainer: Nick Morrott <nickm@debian.org>
 Build-Depends: debhelper-compat (=13),
                libexif-dev,
                libfontconfig-dev,
@@ -12,7 +11,7 @@
                libinotifytools0-dev,
                libwebp-dev,
                libxft-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/nsxiv/nsxiv
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/nickm/nsxiv.git
