=== debian/watch ===
version=4
https://github.com/nsxiv/nsxiv/tags    .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
